# -*- coding: utf-8 -*-
from setuphelpers import *
from waptutils import get_sha256


def update_package():
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    binaries_dict = {"sconnect-host-v2.15.0.0.exe": "7b0d66a79ef01165e7be6c50babec408ebf2ae3ad31aa73f6ab6b15d283af2ab"}  # {bin_name:sha256}
    version = None

    for bin_name in binaries_dict:
        download_url = "http://srvtemplates.ad.tranquil.it/binary_cache/" + bin_name
        sha256 = binaries_dict[bin_name]
        if isfile(bin_name):
            if get_sha256(bin_name) != sha256:
                remove_file(bin_name)
        print("Download URL is: %s" % download_url)
        if not isfile(bin_name):
            print("Downloading: %s" % bin_name)
            wget(download_url, bin_name, sha256=sha256, proxies=proxies)
        else:
            print("Binary is present: %s" % bin_name)

    if version:
        if Version(version, 4) > Version(control.get_software_version(), 4):
            print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
            package_updated = True
        else:
            print("Software version up-to-date (%s)" % Version(version))
        control.set_software_version(version)
        control.save_control_to_wapt()
    return package_updated
